Soniox
API referenceSpeech-to-TextFiles

Get files count

Returns the total number of files, split by source.

GET
https://api.soniox.com/v1/files/count

Returns the total number of files, split by source.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Response

200

Total number of files, split by source.

playgroundRequiredinteger

Number of files uploaded via the Playground.

public_apiRequiredinteger

Number of files uploaded via Public API.

totalRequiredinteger

Total number of files across all sources.

Errors

Total number of files, split by source.

{
  "playground": 8,
  "public_api": 42,
  "total": 50
}

Authentication error.

{
  "error_type": "unauthenticated",
  "message": "Incorrect API key provided. You can get an API key at https://console.soniox.com",
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda",
  "status_code": 401,
  "validation_errors": [],
  "more_info": "https://soniox.com/docs/api-reference/errors#unauthenticated"
}

Rate / capacity limit exceeded.

Error types:

  • limit_exceeded: The caller hit a per-minute request rate or other capacity limit. The message describes which limit was hit.

{
  "status_code": 429,
  "error_type": "limit_exceeded",
  "message": "Requests per minute limit for file management has been exceeded for your organization.",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda",
  "more_info": "https://soniox.com/docs/api-reference/errors#limit-exceeded"
}

Internal server error.

{
  "error_type": "internal_error",
  "message": "The server encountered an error. Please try again. If the issue persists contact support@soniox.com.",
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda",
  "status_code": 500,
  "validation_errors": [],
  "more_info": "https://soniox.com/docs/api-reference/errors#internal-error"
}